LibreOffice: XSearchableDictionaryList Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSearchableDictionaryList Interface Referencepublished

allows searching for an entry in all dictionaries of the dictionary-list. More...

`import <XSearchableDictionaryList.idl;`

Inheritance diagram for XSearchableDictionaryList:

## Public Member Functions
com::sun::star::linguistic2::XDictionaryEntry | queryDictionaryEntry ([in] string aWord, [in] com::sun::star::lang::Locale aLocale, [in] boolean bSearchPosDics, [in] boolean bSpellEntry)
| looks for an entry for a given word in the list of dictionaries.
Public Member Functions inherited from XDictionaryList
short | getCount ()
sequence< com::sun::star::linguistic2::XDictionary > | getDictionaries ()
com::sun::star::linguistic2::XDictionary | getDictionaryByName ([in] string aDictionaryName)
| searches the list for a dictionary with a given name.
boolean | addDictionary ([in] com::sun::star::linguistic2::XDictionary xDictionary)
| adds a dictionary to the list.
boolean | removeDictionary ([in] com::sun::star::linguistic2::XDictionary xDictionary)
| removes a single dictionary from the list.
boolean | addDictionaryListEventListener ([in] com::sun::star::linguistic2::XDictionaryListEventListener xListener, [in] boolean bReceiveVerbose)
| adds an entry to the list of dictionary-list event listeners.
boolean | removeDictionaryListEventListener ([in] com::sun::star::linguistic2::XDictionaryListEventListener xListener)
| removes an entry from the list of dictionary-list event listeners.
short | beginCollectEvents ()
| increases request level for event buffering by one.
short | endCollectEvents ()
| flushes the event buffer and decreases the request level for event buffering by one.
short | flushEvents ()
| notifies the listeners of all buffered events and then clears that buffer.
com::sun::star::linguistic2::XDictionary | createDictionary ([in] string aName, [in] com::sun::star::lang::Locale aLocale, [in] com::sun::star::linguistic2::DictionaryType eDicType, [in] string aURL)
| creates a new dictionary.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows searching for an entry in all dictionaries of the dictionary-list.

Only active dictionaries of a suitable language will be searched for the entry. The language is suitable if it is the same as the dictionary's language or the dictionary may hold entries of all languages.

See also
  com::sun::star::linguistic2::XDictionaryList

## Member Function Documentation

## ◆ queryDictionaryEntry()

com::sun::star::linguistic2::XDictionaryEntry queryDictionaryEntry | ( | [in] string | aWord,
|  | [in] com::sun::star::lang::Locale | aLocale,
|  | [in] boolean | bSearchPosDics,
|  | [in] boolean | bSpellEntry )

looks for an entry for a given word in the list of dictionaries.

Returns
  the dictionary entry that was found, `NULL` otherwise.

Parameters

  aWord | the word (entry) to be looked for.
  aLocale | the language of the word to be looked for.
  bSearchPosDics | `TRUE` if only positive dictionaries should be searched. `FALSE` if only negative dictionaries should be searched.
  bSpellEntry | `TRUE` if entries for purposes of spell checking are required. `FALSE` if only entries for hyphenation purposes are required.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XSearchableDictionaryList.idl